LibreOffice: XTest Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XTest Interface Reference

`import "XTest.idl";`

Inheritance diagram for XTest:

## Public Member Functions
boolean | getBoolean ()
boolean | isBoolean ([in] boolean value)
byte | getByte ()
boolean | isByte ([in] byte value)
short | getShort ()
boolean | isShort ([in] short value)
unsigned short | getUnsignedShort ()
boolean | isUnsignedShort ([in] unsigned short value)
long | getLong ()
boolean | isLong ([in] long value)
unsigned long | getUnsignedLong ()
boolean | isUnsignedLong ([in] unsigned long value)
hyper | getHyper ()
boolean | isHyper ([in] hyper value)
unsigned hyper | getUnsignedHyper ()
boolean | isUnsignedHyper ([in] unsigned hyper value)
float | getFloat ()
boolean | isFloat ([in] float value)
double | getDouble ()
boolean | isDouble ([in] double value)
char | getChar ()
boolean | isChar ([in] char value)
string | getString ()
boolean | isString ([in] string value)
type | getType ()
boolean | isType ([in] type value)
Enum | getEnum ()
boolean | isEnum ([in] Enum value)
Struct | getStruct ()
boolean | isStruct ([in] Struct value)
StructLong | getStructLong ()
boolean | isStructLong ([in] StructLong value)
StructString | getStructString ()
boolean | isStructString ([in] StructString value)
Template< any, StructString > | getTemplate ()
boolean | isTemplate ([in] Template< any, StructString > value)
any | getAnyVoid ()
boolean | isAnyVoid ([in] any value)
any | getAnyBoolean ()
boolean | isAnyBoolean ([in] any value)
any | getAnyByte ()
boolean | isAnyByte ([in] any value)
any | getAnyShort ()
boolean | isAnyShort ([in] any value)
any | getAnyUnsignedShort ()
boolean | isAnyUnsignedShort ([in] any value)
any | getAnyLong ()
boolean | isAnyLong ([in] any value)
any | getAnyUnsignedLong ()
boolean | isAnyUnsignedLong ([in] any value)
any | getAnyHyper ()
boolean | isAnyHyper ([in] any value)
any | getAnyUnsignedHyper ()
boolean | isAnyUnsignedHyper ([in] any value)
any | getAnyFloat ()
boolean | isAnyFloat ([in] any value)
any | getAnyDouble ()
boolean | isAnyDouble ([in] any value)
any | getAnyChar ()
boolean | isAnyChar ([in] any value)
any | getAnyString ()
boolean | isAnyString ([in] any value)
any | getAnyType ()
boolean | isAnyType ([in] any value)
any | getAnySequence ()
boolean | isAnySequence ([in] any value)
any | getAnyEnum ()
boolean | isAnyEnum ([in] any value)
any | getAnyStruct ()
boolean | isAnyStruct ([in] any value)
any | getAnyException ()
boolean | isAnyException ([in] any value)
any | getAnyInterface ()
boolean | isAnyInterface ([in] any value)
sequence< boolean > | getSequenceBoolean ()
boolean | isSequenceBoolean ([in] sequence< boolean > value)
sequence< byte > | getSequenceByte ()
boolean | isSequenceByte ([in] sequence< byte > value)
sequence< short > | getSequenceShort ()
boolean | isSequenceShort ([in] sequence< short > value)
sequence< unsigned short > | getSequenceUnsignedShort ()
boolean | isSequenceUnsignedShort ([in] sequence< unsigned short > value)
sequence< long > | getSequenceLong ()
boolean | isSequenceLong ([in] sequence< long > value)
sequence< unsigned long > | getSequenceUnsignedLong ()
boolean | isSequenceUnsignedLong ([in] sequence< unsigned long > value)
sequence< hyper > | getSequenceHyper ()
boolean | isSequenceHyper ([in] sequence< hyper > value)
sequence< unsigned hyper > | getSequenceUnsignedHyper ()
boolean | isSequenceUnsignedHyper ([in] sequence< unsigned hyper > value)
sequence< float > | getSequenceFloat ()
boolean | isSequenceFloat ([in] sequence< float > value)
sequence< double > | getSequenceDouble ()
boolean | isSequenceDouble ([in] sequence< double > value)
sequence< char > | getSequenceChar ()
boolean | isSequenceChar ([in] sequence< char > value)
sequence< string > | getSequenceString ()
boolean | isSequenceString ([in] sequence< string > value)
sequence< type > | getSequenceType ()
boolean | isSequenceType ([in] sequence< type > value)
sequence< any > | getSequenceAny ()
boolean | isSequenceAny ([in] sequence< any > value)
sequence< sequence< string > > | getSequenceSequenceString ()
boolean | isSequenceSequenceString ([in] sequence< sequence< string > > value)
sequence< Enum > | getSequenceEnum ()
boolean | isSequenceEnum ([in] sequence< Enum > value)
sequence< Struct > | getSequenceStruct ()
boolean | isSequenceStruct ([in] sequence< Struct > value)
XTest | getNull ()
boolean | isNull ([in] XTest value)
void | getOut ([out] boolean value1, [out] byte value2, [out] short value3, [out] unsigned short value4, [out] long value5, [out] unsigned long value6, [out] hyper value7, [out] unsigned hyper value8, [out] float value9, [out] double value10, [out] char value11, [out] string value12, [out] type value13, [out] any value14, [out] sequence< string > value15, [out] Enum value16, [out] Struct value17, [out] XTest value18)
void | throwRuntimeException ()
void | passJob ([in] com::sun::star::task::XJob object)
void | passJobExecutor ([in] com::sun::star::task::XJobExecutor object, [in] boolean newThread)
void | passInterface ([in] com::sun::star::uno::XInterface object)
boolean | checkAttributes ([in] org::libreoffice::embindtest::XAttributes object)
boolean | testSolarMutex ()

## Public Attributes
string | StringAttribute

## Member Function Documentation

## ◆ checkAttributes()

boolean checkAttributes | ( | [in] org::libreoffice::embindtest::XAttributes | object | ) |

## ◆ getAnyBoolean()

any getAnyBoolean | ( |  | ) |

## ◆ getAnyByte()

any getAnyByte | ( |  | ) |

## ◆ getAnyChar()

any getAnyChar | ( |  | ) |

## ◆ getAnyDouble()

any getAnyDouble | ( |  | ) |

## ◆ getAnyEnum()

any getAnyEnum | ( |  | ) |

## ◆ getAnyException()

any getAnyException | ( |  | ) |

## ◆ getAnyFloat()

any getAnyFloat | ( |  | ) |

## ◆ getAnyHyper()

any getAnyHyper | ( |  | ) |

## ◆ getAnyInterface()

any getAnyInterface | ( |  | ) |

## ◆ getAnyLong()

any getAnyLong | ( |  | ) |

## ◆ getAnySequence()

any getAnySequence | ( |  | ) |

## ◆ getAnyShort()

any getAnyShort | ( |  | ) |

## ◆ getAnyString()

any getAnyString | ( |  | ) |

## ◆ getAnyStruct()

any getAnyStruct | ( |  | ) |

## ◆ getAnyType()

any getAnyType | ( |  | ) |

## ◆ getAnyUnsignedHyper()

any getAnyUnsignedHyper | ( |  | ) |

## ◆ getAnyUnsignedLong()

any getAnyUnsignedLong | ( |  | ) |

## ◆ getAnyUnsignedShort()

any getAnyUnsignedShort | ( |  | ) |

## ◆ getAnyVoid()

any getAnyVoid | ( |  | ) |

## ◆ getBoolean()

boolean getBoolean | ( |  | ) |

## ◆ getByte()

byte getByte | ( |  | ) |

## ◆ getChar()

char getChar | ( |  | ) |

## ◆ getDouble()

double getDouble | ( |  | ) |

## ◆ getEnum()

Enum getEnum | ( |  | ) |

## ◆ getFloat()

float getFloat | ( |  | ) |

## ◆ getHyper()

hyper getHyper | ( |  | ) |

## ◆ getLong()

long getLong | ( |  | ) |

## ◆ getNull()

XTest getNull | ( |  | ) |

## ◆ getOut()

void getOut | ( | [out] boolean | value1,
|  | [out] byte | value2,
|  | [out] short | value3,
|  | [out] unsigned short | value4,
|  | [out] long | value5,
|  | [out] unsigned long | value6,
|  | [out] hyper | value7,
|  | [out] unsigned hyper | value8,
|  | [out] float | value9,
|  | [out] double | value10,
|  | [out] char | value11,
|  | [out] string | value12,
|  | [out] type | value13,
|  | [out] any | value14,
|  | [out] sequence< string > | value15,
|  | [out] Enum | value16,
|  | [out] Struct | value17,
|  | [out] XTest | value18 )

## ◆ getSequenceAny()

sequence< any > getSequenceAny | ( |  | ) |

## ◆ getSequenceBoolean()

sequence< boolean > getSequenceBoolean | ( |  | ) |

## ◆ getSequenceByte()

sequence< byte > getSequenceByte | ( |  | ) |

## ◆ getSequenceChar()

sequence< char > getSequenceChar | ( |  | ) |

## ◆ getSequenceDouble()

sequence< double > getSequenceDouble | ( |  | ) |

## ◆ getSequenceEnum()

sequence< Enum > getSequenceEnum | ( |  | ) |

## ◆ getSequenceFloat()

sequence< float > getSequenceFloat | ( |  | ) |

## ◆ getSequenceHyper()

sequence< hyper > getSequenceHyper | ( |  | ) |

## ◆ getSequenceLong()

sequence< long > getSequenceLong | ( |  | ) |

## ◆ getSequenceSequenceString()

sequence< sequence< string > > getSequenceSequenceString | ( |  | ) |

## ◆ getSequenceShort()

sequence< short > getSequenceShort | ( |  | ) |

## ◆ getSequenceString()

sequence< string > getSequenceString | ( |  | ) |

## ◆ getSequenceStruct()

sequence< Struct > getSequenceStruct | ( |  | ) |

## ◆ getSequenceType()

sequence< type > getSequenceType | ( |  | ) |

## ◆ getSequenceUnsignedHyper()

sequence< unsigned hyper > getSequenceUnsignedHyper | ( |  | ) |

## ◆ getSequenceUnsignedLong()

sequence< unsigned long > getSequenceUnsignedLong | ( |  | ) |

## ◆ getSequenceUnsignedShort()

sequence< unsigned short > getSequenceUnsignedShort | ( |  | ) |

## ◆ getShort()

short getShort | ( |  | ) |

## ◆ getString()

string getString | ( |  | ) |

## ◆ getStruct()

Struct getStruct | ( |  | ) |

## ◆ getStructLong()

StructLong getStructLong | ( |  | ) |

## ◆ getStructString()

StructString getStructString | ( |  | ) |

## ◆ getTemplate()

Template< any, StructString > getTemplate | ( |  | ) |

## ◆ getType()

type getType | ( |  | ) |

## ◆ getUnsignedHyper()

unsigned hyper getUnsignedHyper | ( |  | ) |

## ◆ getUnsignedLong()

unsigned long getUnsignedLong | ( |  | ) |

## ◆ getUnsignedShort()

unsigned short getUnsignedShort | ( |  | ) |

## ◆ isAnyBoolean()

boolean isAnyBoolean | ( | [in] any | value | ) |

## ◆ isAnyByte()

boolean isAnyByte | ( | [in] any | value | ) |

## ◆ isAnyChar()

boolean isAnyChar | ( | [in] any | value | ) |

## ◆ isAnyDouble()

boolean isAnyDouble | ( | [in] any | value | ) |

## ◆ isAnyEnum()

boolean isAnyEnum | ( | [in] any | value | ) |

## ◆ isAnyException()

boolean isAnyException | ( | [in] any | value | ) |

## ◆ isAnyFloat()

boolean isAnyFloat | ( | [in] any | value | ) |

## ◆ isAnyHyper()

boolean isAnyHyper | ( | [in] any | value | ) |

## ◆ isAnyInterface()

boolean isAnyInterface | ( | [in] any | value | ) |

## ◆ isAnyLong()

boolean isAnyLong | ( | [in] any | value | ) |

## ◆ isAnySequence()

boolean isAnySequence | ( | [in] any | value | ) |

## ◆ isAnyShort()

boolean isAnyShort | ( | [in] any | value | ) |

## ◆ isAnyString()

boolean isAnyString | ( | [in] any | value | ) |

## ◆ isAnyStruct()

boolean isAnyStruct | ( | [in] any | value | ) |

## ◆ isAnyType()

boolean isAnyType | ( | [in] any | value | ) |

## ◆ isAnyUnsignedHyper()

boolean isAnyUnsignedHyper | ( | [in] any | value | ) |

## ◆ isAnyUnsignedLong()

boolean isAnyUnsignedLong | ( | [in] any | value | ) |

## ◆ isAnyUnsignedShort()

boolean isAnyUnsignedShort | ( | [in] any | value | ) |

## ◆ isAnyVoid()

boolean isAnyVoid | ( | [in] any | value | ) |

## ◆ isBoolean()

boolean isBoolean | ( | [in] boolean | value | ) |

## ◆ isByte()

boolean isByte | ( | [in] byte | value | ) |

## ◆ isChar()

boolean isChar | ( | [in] char | value | ) |

## ◆ isDouble()

boolean isDouble | ( | [in] double | value | ) |

## ◆ isEnum()

boolean isEnum | ( | [in] Enum | value | ) |

## ◆ isFloat()

boolean isFloat | ( | [in] float | value | ) |

## ◆ isHyper()

boolean isHyper | ( | [in] hyper | value | ) |

## ◆ isLong()

boolean isLong | ( | [in] long | value | ) |

## ◆ isNull()

boolean isNull | ( | [in] XTest | value | ) |

## ◆ isSequenceAny()

boolean isSequenceAny | ( | [in] sequence< any > | value | ) |

## ◆ isSequenceBoolean()

boolean isSequenceBoolean | ( | [in] sequence< boolean > | value | ) |

## ◆ isSequenceByte()

boolean isSequenceByte | ( | [in] sequence< byte > | value | ) |

## ◆ isSequenceChar()

boolean isSequenceChar | ( | [in] sequence< char > | value | ) |

## ◆ isSequenceDouble()

boolean isSequenceDouble | ( | [in] sequence< double > | value | ) |

## ◆ isSequenceEnum()

boolean isSequenceEnum | ( | [in] sequence< Enum > | value | ) |

## ◆ isSequenceFloat()

boolean isSequenceFloat | ( | [in] sequence< float > | value | ) |

## ◆ isSequenceHyper()

boolean isSequenceHyper | ( | [in] sequence< hyper > | value | ) |

## ◆ isSequenceLong()

boolean isSequenceLong | ( | [in] sequence< long > | value | ) |

## ◆ isSequenceSequenceString()

boolean isSequenceSequenceString | ( | [in] sequence< sequence< string > > | value | ) |

## ◆ isSequenceShort()

boolean isSequenceShort | ( | [in] sequence< short > | value | ) |

## ◆ isSequenceString()

boolean isSequenceString | ( | [in] sequence< string > | value | ) |

## ◆ isSequenceStruct()

boolean isSequenceStruct | ( | [in] sequence< Struct > | value | ) |

## ◆ isSequenceType()

boolean isSequenceType | ( | [in] sequence< type > | value | ) |

## ◆ isSequenceUnsignedHyper()

boolean isSequenceUnsignedHyper | ( | [in] sequence< unsigned hyper > | value | ) |

## ◆ isSequenceUnsignedLong()

boolean isSequenceUnsignedLong | ( | [in] sequence< unsigned long > | value | ) |

## ◆ isSequenceUnsignedShort()

boolean isSequenceUnsignedShort | ( | [in] sequence< unsigned short > | value | ) |

## ◆ isShort()

boolean isShort | ( | [in] short | value | ) |

## ◆ isString()

boolean isString | ( | [in] string | value | ) |

## ◆ isStruct()

boolean isStruct | ( | [in] Struct | value | ) |

## ◆ isStructLong()

boolean isStructLong | ( | [in] StructLong | value | ) |

## ◆ isStructString()

boolean isStructString | ( | [in] StructString | value | ) |

## ◆ isTemplate()

boolean isTemplate | ( | [in] Template< any, StructString > | value | ) |

## ◆ isType()

boolean isType | ( | [in] type | value | ) |

## ◆ isUnsignedHyper()

boolean isUnsignedHyper | ( | [in] unsigned hyper | value | ) |

## ◆ isUnsignedLong()

boolean isUnsignedLong | ( | [in] unsigned long | value | ) |

## ◆ isUnsignedShort()

boolean isUnsignedShort | ( | [in] unsigned short | value | ) |

## ◆ passInterface()

void passInterface | ( | [in] com::sun::star::uno::XInterface | object | ) |

## ◆ passJob()

void passJob | ( | [in] com::sun::star::task::XJob | object | ) |

## ◆ passJobExecutor()

void passJobExecutor | ( | [in] com::sun::star::task::XJobExecutor | object,
|  | [in] boolean | newThread )

## ◆ testSolarMutex()

boolean testSolarMutex | ( |  | ) |

## ◆ throwRuntimeException()

void throwRuntimeException | ( |  | ) |

## Member Data Documentation

## ◆ StringAttribute

string StringAttribute
| attribute

The documentation for this interface was generated from the following file:

- org/libreoffice/embindtest/XTest.idl